รหัส QR
GET https://qrde.cc/api/qr-codes/
curl --request GET \
--url 'https://qrde.cc/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrde.cc/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| search | ทางเลือก สตริง | สตริงการค้นหา |
| search_by | ทางเลือก สตริง | คุณกำลังค้นหาโดยใช้ฟิลด์ใด ค่าที่อนุญาตคือ: name. |
| type | ทางเลือก สตริง | คุณกำลังค้นหาโดยใช้ฟิลด์ใด ค่าที่อนุญาตคือ: text, url, file, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | ทางเลือก สตริง | ค่าที่อนุญาต: datetime, last_datetime |
| datetime_start | ทางเลือก สตริง | กรองผลลัพธ์เริ่มต้นจากวันเวลานี้ รูปแบบ Y-m-d H:i:s. |
| datetime_end | ทางเลือก สตริง | กรองผลลัพธ์จนถึงวันและเวลานี้ รูปแบบ Y-m-d H:i:s |
| order_by | ทางเลือก สตริง | ฟิลด์ที่จะจัดเรียงผลลัพธ์ด้วย ค่าที่อนุญาตคือ: qr_code_id, datetime, last_datetime, name, type. |
| order_type | ทางเลือก สตริง | การจัดลำดับของผลลัพธ์ ค่าอนุญาตได้แก่: ASC สำหรับการจัดลำดับจากน้อยไปมาก, และ DESC สำหรับการจัดลำดับจากมากไปน้อย. |
| page | ทางเลือก จำนวนเต็ม | หมายเลขหน้าที่คุณต้องการผลลัพธ์ ค่าเริ่มต้นคือ 1. |
| results_per_page | ทางเลือก จำนวนเต็ม | จำนวนผลลัพธ์ที่คุณต้องการต่อหน้า ค่าที่อนุญาตคือ: 10, 25, 50, 100, 250, 500, 1000 ค่าเริ่มต้นคือ 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"link_id": 1,
"project_id": 1,
"type": "Example",
"name": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-11-16 15:13:20"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://qrde.cc/api/qr-codes?page=1",
"last": "https://qrde.cc/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qrde.cc/api/qr-codes?page=1"
}
}
GET https://qrde.cc/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://qrde.cc/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrde.cc/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"project_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-11-16 15:13:20"
}
}
POST https://qrde.cc/api/qr-codes
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
| theme_id | ทางเลือก จำนวนเต็ม | The ID of a saved QR code theme. Submitted styling and images override the theme. |
| link_id | ทางเลือก จำนวนเต็ม | พร้อมใช้งานเมื่อ: type = url url_dynamic = 1 url_dynamic_existing_link = 1 |
| url_dynamic | ทางเลือก บูลีน | พร้อมใช้งานเมื่อ: type = url |
| url_dynamic_existing_link | ทางเลือก บูลีน | พร้อมใช้งานเมื่อ: type = url url_dynamic = 1 |
| project_id | ทางเลือก จำนวนเต็ม | - |
| name | ที่จำเป็น สตริง | - |
| type | ที่จำเป็น สตริง | ค่าที่อนุญาต: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix |
| is_bulk | ทางเลือก บูลีน | พร้อมใช้งานเมื่อ: type = text |
| style | ทางเลือก สตริง | ค่าที่อนุญาต: square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x |
| inner_eye_style | ทางเลือก สตริง | ค่าที่อนุญาต: square, dot, rounded, diamond, flower, leaf |
| outer_eye_style | ทางเลือก สตริง | ค่าที่อนุญาต: square, circle, rounded, flower, leaf |
| foreground_type | ทางเลือก สตริง | ค่าที่อนุญาต: color, gradient |
| foreground_color | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: foreground_type = color |
| foreground_gradient_style | ทางเลือก สตริง | ค่าที่อนุญาต: vertical, horizontal, diagonal, inverse_diagonal, radial |
| foreground_gradient_one | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: foreground_type = gradient |
| foreground_gradient_two | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: foreground_type = gradient |
| background_color | ทางเลือก สตริง | |
| background_color_transparency | ทางเลือก จำนวนเต็ม | |
| custom_eyes_color | ทางเลือก บูลีน | |
| eyes_inner_color | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: custom_eyes_color = 1 |
| eyes_outer_color | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: custom_eyes_color = 1 |
| qr_code_logo | ทางเลือก File | - |
| qr_code_logo_size | ทางเลือก จำนวนเต็ม | 5-35 |
| qr_code_background | ทางเลือก File | - |
| qr_code_background_transparency | ทางเลือก จำนวนเต็ม | 0-100 |
| qr_code_foreground | ทางเลือก File | - |
| qr_code_foreground_transparency | ทางเลือก จำนวนเต็ม | 0-100 |
| frame | ทางเลือก สตริง | ค่าที่อนุญาต: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text |
| frame_text | ทางเลือก สตริง | |
| frame_text_size | ทางเลือก จำนวนเต็ม | -5 - 5 |
| frame_text_font | ทางเลือก สตริง | ค่าที่อนุญาต: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt |
| frame_custom_colors | ทางเลือก บูลีน | |
| frame_color | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: frame_custom_colors = 1 |
| frame_text_color | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: frame_custom_colors = 1 |
| size | ทางเลือก จำนวนเต็ม | 50-2000 |
| margin | ทางเลือก จำนวนเต็ม | 0-25 |
| ecc | ทางเลือก สตริง | ค่าที่อนุญาต: L, M, Q, H |
| text | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = text |
| url | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = url |
| phone | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = phone |
| sms | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = sms |
| sms_body | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = sms |
| ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = email | |
| email_subject | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = email |
| email_body | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = email |
| ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = whatsapp | |
| whatsapp_body | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = whatsapp |
| facetime | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = facetime |
| facetime_audio | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = facetime_audio |
| location | ||
| location_latitude | ทางเลือก ลอย | พร้อมใช้งานเมื่อ: type = location |
| location_longitude | ทางเลือก ลอย | พร้อมใช้งานเมื่อ: type = location |
| wifi | ||
| wifi_ssid | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = wifi |
| wifi_encryption | ทางเลือก สตริง | ค่าที่อนุญาต: nopass, WEP, WPA/WPA2, H (type=wifi) |
| wifi_password | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = wifi |
| wifi_is_hidden | ทางเลือก บูลีน | พร้อมใช้งานเมื่อ: type = wifi |
| event | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = event |
| event_location | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = event |
| event_url | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = event |
| event_note | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = event |
| event_timezone | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = event |
| event_start_datetime | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = event |
| event_end_datetime | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = event |
| event_first_alert_datetime | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = event |
| event_second_alert_datetime | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = event |
| crypto | ||
| crypto_coin | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = crypto |
| crypto_address | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = crypto |
| crypto_amount | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = crypto |
| vcard | ||
| vcard_first_name | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_last_name | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_company | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_phone_number_label[index] | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_phone_number_value[index] | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_email | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_url | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_job_title | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_birthday | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_street | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_city | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_zip | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_region | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_country | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_note | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_social_label[index] | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| vcard_social_value[index] | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = vcard |
| paypal | ||
| paypal_type | ทางเลือก สตริง | ค่าที่อนุญาต: buy_now, add_to_cart, donation (type=paypal) |
| paypal_email | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = paypal |
| paypal_title | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = paypal |
| paypal_currency | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = paypal |
| paypal_price | ทางเลือก ลอย | พร้อมใช้งานเมื่อ: type = paypal |
| paypal_thank_you_url | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = paypal |
| paypal_cancel_url | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = paypal |
| upi | ||
| upi_payee_id | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = upi |
| upi_payee_name | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = upi |
| upi_currency | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = upi |
| upi_amount | ทางเลือก ลอย | พร้อมใช้งานเมื่อ: type = upi |
| upi_transaction_id | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = upi |
| upi_transaction_note | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = upi |
| upi_transaction_reference | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = upi |
| upi_thank_you_url | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = upi |
| epc | ||
| epc_iban | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = epc |
| epc_payee_name | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = epc |
| epc_currency | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = epc |
| epc_amount | ทางเลือก ลอย | พร้อมใช้งานเมื่อ: type = epc |
| epc_bic | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = epc |
| epc_remittance_reference | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = epc |
| epc_remittance_text | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = epc |
| information | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = epc |
| pix | ||
| pix_payee_key | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = pix |
| pix_payee_name | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = pix |
| pix_currency | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = pix |
| pix_amount | ทางเลือก ลอย | พร้อมใช้งานเมื่อ: type = pix |
| pix_city | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = pix |
| pix_transaction_id | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = pix |
| pix_description | ทางเลือก สตริง | พร้อมใช้งานเมื่อ: type = pix |
| bulk_request | ทางเลือก สตริง | - |
| qr_code_logo_remove | ทางเลือก บูลีน | - |
| qr_code_background_remove | ทางเลือก บูลีน | - |
| qr_code_foreground_remove | ทางเลือก บูลีน | - |
| encoding | ทางเลือก อาเรย์ | - |
| sms | ทางเลือก อาเรย์ | - |
| ทางเลือก อาเรย์ | - | |
| ทางเลือก อาเรย์ | - | |
| event | ทางเลือก อาเรย์ | - |
| qr_code | ทางเลือก อาเรย์ | - |
| embedded_data | ทางเลือก อาเรย์ | - |
| พารามิเตอร์ | รายละเอียด | คำอธิบาย |
|---|---|---|
curl --request POST \
--url 'https://qrde.cc/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'theme_id=1' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://qrde.cc/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'theme_id=1' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"project_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-11-16 15:13:20"
}
}
POST https://qrde.cc/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://qrde.cc/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrde.cc/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1,
"user_id": 1,
"link_id": 1,
"project_id": 1,
"name": "Example",
"type": "Example",
"qr_code": "Example",
"qr_code_logo": "Example",
"qr_code_background": "Example",
"qr_code_foreground": "Example",
"settings": [],
"embedded_data": "Example",
"last_datetime": null,
"datetime": "2026-11-16 15:13:20"
}
}
DELETE https://qrde.cc/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://qrde.cc/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrde.cc/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \